# Fetching a list of User File Associations

This endpoint returns structured User File Association objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the user_file_associations top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /user_file_associations
Version: 1.0.0

## Query parameters:

  - `filename` (string)
    Only includes file associations with matching filenames.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- asset_object (polymorphic) - When included, the polymorphic asset_object_ref struct will reference the attachment or
Google document for which the user file association belongs. This will be a a two-key JSON
object with "ID" and "key", where the "key" will be "attachments" or "google_documents".
- post (Post) - The post to which the user file association belongs.
- workspace (Workspace) - References the project to which the user file association belongs.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc and created_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `workspace_id` (integer)
    Only includes file associations from the specified project.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `user_file_associations` (object)

  - `posts` (object)

  - `workspaces` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


